%define	name	gnuplot
%define	version 4.6.1
%define release	%mkrel 4
%define	modeversion 0.6.0

Name:		%{name}
Summary:	A program for plotting mathematical expressions and data
Version:	%{version}
Release:	%{release}
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	http://downloads.sourceforge.net/project/gnuplot/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:	http://cars9.uchicago.edu/~ravel/software/gnuplot-mode/gnuplot-mode.%{modeversion}.tar.bz2
Source2:	http://www.gnuplot.info/faq/faq.html
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-4.0.0-emacs-mode--disable-f9.patch
Patch1:		gnuplot-4.6.1-automake-1.13.patch
Patch2:		gnuplot-4.6.1-nocrossbuild.patch
BuildRequires:	libx11-devel
BuildRequires:	emacs-bin
BuildRequires:	ncurses-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	texlive
BuildRequires:  texinfo
BuildRequires:  gd-devel
BuildRequires:  cairo-devel
BuildRequires:	lua-devel
BuildRequires:	wxgtku2.8-devel
Conflicts:	gnuplot-nox < 4.4.4-3
Requires(preun): info-install
Requires:  %{name}-nox = %{version}-%{release}

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.4-4
Obsoletes:      %{name}-doc < 4.4.4-3
Provides:   %{name}-doc = %{version}-%{release}

%description nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.3

%description mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1 -b .automake-1_13
%patch2 -p1 -b .nocrossbuild

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode.%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
%configure2_5x --with-readline=gnu --with-png --without-linux-vga --without-x --disable-wxwidgets
%make -C src/
make -C docs/ ps
%make -C docs/ pdf
popd

mkdir build-x11
pushd build-x11
%configure2_5x --with-readline=gnu --with-png --without-linux-vga
%make
popd

pushd gnuplot-mode.%{modeversion} && {
    ./configure --prefix=/usr
    %make
} && popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install
rm -rf $RPM_BUILD_ROOT

pushd build-nox
 %{makeinstall_std}
%__mv %{buildroot}/%{_bindir}/gnuplot %{buildroot}/%{_bindir}/gnuplot-nox
popd

pushd build-x11
%{makeinstall_std}
popd

pushd gnuplot-mode.%{modeversion} && {
    make install prefix=$RPM_BUILD_ROOT/usr
    pdflatex gpelcard
    install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
    install -m 644 dotemacs $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
} && popd

# Copy back from build dir to be able to package those files
pushd build-nox
cp docs/gnuplot.pdf ../docs/
cp docs/gnuplot.ps ../docs/
cp docs/gpcard.ps ../docs/
popd

# menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
Comment=The famous function plotting program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=Graphics;Science;
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%{_bindir}/gnuplot
%{_datadir}/applications/mageia-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files nox
%doc demo docs/psdoc docs/gnuplot.pdf
%doc Copyright faq.html
%doc README README.1ST
%doc NEWS PORTING
%{_bindir}/gnuplot-nox
%{_mandir}/*/*
%{_libexecdir}/gnuplot
%{_datadir}/gnuplot
%{_datadir}/texmf/tex/latex/gnuplot
%{_infodir}/*

%files mode
%doc gnuplot-mode.%{modeversion}/gpelcard.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*


%changelog

* Sat Jan 26 2013 cjw <cjw> 4.6.1-4.mga3
+ Revision: 392531
- patch2: improve detection of cross builds, host must be defined (fixes #8806)

* Sat Jan 12 2013 umeabot <umeabot> 4.6.1-3.mga3
+ Revision: 352383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 4.6.1-2.mga3
+ Revision: 339621
- Fix for _libdir != _libexecdir

* Fri Oct 26 2012 fwang <fwang> 4.6.1-1.mga3
+ Revision: 310530
- update file list
- format patch not needed
- new version 4.6.1

* Wed Aug 01 2012 nanardon <nanardon> 4.6.0-1.mga3
+ Revision: 277556
- 4.6.0

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-7.mga2
+ Revision: 223403
- really fix update

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-6.mga2
+ Revision: 223401
- fix update

* Sun Mar 11 2012 anssi <anssi> 4.4.4-5.mga2
+ Revision: 222799
- restore removed obsoletes on removed gnuplot-doc subpackage
- adapt conflicts for documentation moved from main pkg to -nox in 4.4.4-4

  + nanardon <nanardon>
    - move all data into gnuplot-nox, then make gnuplot requires -nox making both more consistent
    - merging -doc package in main one, then solving #2744

* Mon Dec 12 2011 pterjan <pterjan> 4.4.4-2.mga2
+ Revision: 180828
- Move desktop file and icons out of -nox, desktop file is for the main binary
- Use a valid category in the desktop file
- Make the -doc package noarch
- Re-enable ps docs, texlive was fixed

  + guillomovitch <guillomovitch>
    - new version

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs
    - Disable building the ps docs at texlive stops with an error
      https://bugs.mageia.org/show_bug.cgi?id=2273

* Tue May 17 2011 dmorgan <dmorgan> 4.4.3-1.mga1
+ Revision: 99435
- Add conflict to fix upgrade
- New version 4.4.3
  Sync with mdv for splitting ( mdv commit 657966 )
- Backport mdv commit 657554 (Adding BuildRequires on cairo-devel to enable the build of pngcairo and pdfcairo support, thus fixing bug 63109.)

* Sat Mar 05 2011 grenoya <grenoya> 4.4.2-3.mga1
+ Revision: 64703
- change tetex-latex dependencie to texlive

* Thu Feb 24 2011 grenoya <grenoya> 4.4.2-2.mga1
+ Revision: 58953
- clean old mdv syntax
- imported package gnuplot

